//[passport](../../../../index.md)/[com.yandex.passport.api.javacompat](../../index.md)/[PassportAccountUpgraderJavaCompat](../index.md)/[Listener](index.md)

# Listener

[passport]\
fun interface [Listener](index.md)

Listener to get status changes.

## Functions

| Name | Summary |
|---|---|
| [onNewStatus](on-new-status.md) | [passport]<br>abstract fun [onNewStatus](on-new-status.md)(status: [PassportAccountUpgradeStatus](../../../com.yandex.passport.api/-passport-account-upgrade-status/index.md))<br>Fired when the status was changed. |
